This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 441668

Summary: XEN domain will not complete shutdown
Product: [Fedora] Fedora Reporter: Barry Scott <barry.scott>
Component: xenAssignee: Xen Maintainance List <xen-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 8   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 01:21:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Barry Scott 2008-04-09 08:41:10 EDT
Description of problem:

I'm setting up a VM called svn-server running fedora 8.
After login in as root on the console and doing "halt -p" the
domain has got stuck in this state.

# xm list
Name                                        ID   Mem VCPUs      State   Time(s)
Domain-0                                     0   981     2     r-----  80476.9
svn-server                                  18  1024     1     ---s-d     22.8

When I try to do destroy on the domain I get:

# virsh destroy svn-server
libvir: Xen Daemon error : POST operation failed: (xend.err "(3, 'No such
process')")
libvir: Xen error : failed Xen syscall  ioctl  3166208
error: Failed to destroy domain svn-server

Is there any way to recover without rebooting?

xm info give me:

# xm info
host                   : hotel.office.onelan.co.uk
release                : 2.6.21-2952.fc8xen
version                : #1 SMP Mon Nov 19 07:06:36 EST 2007
machine                : x86_64
nr_cpus                : 2
nr_nodes               : 1
sockets_per_node       : 1
cores_per_socket       : 2
threads_per_core       : 1
cpu_mhz                : 1800
hw_caps                :
178bfbff:ebd3fbff:00000000:00000010:00002001:00000000:0000001f
total_memory           : 2047
free_memory            : 1024
xen_major              : 3
xen_minor              : 1
xen_extra              : .0-rc7
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32
hvm-3.0-x86_32p hvm-3.0-x86_64
xen_scheduler          : credit
xen_pagesize           : 4096
platform_params        : virt_start=0xffff800000000000
xen_changeset          : unavailable
cc_compiler            : gcc version 4.1.2 20070925 (Red Hat 4.1.2-33)
cc_compile_by          : kojibuilder
cc_compile_domain      : (none)
cc_compile_date        : Mon Nov 19 07:04:51 EST 2007
xend_config_format     : 4

Version-Release number of selected component (if applicable):
Comment 1 Bug Zapper 2008-11-26 05:27:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:21:36 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.